package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;

/**
 *
 * @author fpalma
 */
public class V8_7_To_V8_8 extends AbstractUpdate
{
	
	public V8_7_To_V8_8()
	{
		super(8.7,8.8,"Adicionada coluna em 'lembretes' que referencia nova tabela das marcacoes (trabalhadores_consultas_datas)");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update( 
				"ALTER TABLE lembretes ADD COLUMN trabalhadores_consultas_datas_id int4 REFERENCES trabalhadores_consultas_datas(id);" );
		getExecuter().executeQuery( update );
		update = 
			new com.evolute.utils.sql.Update( 
				"ALTER TABLE lembretes ADD COLUMN trabalhadores_ecds_datas_id int4 REFERENCES trabalhadores_ecds_datas(id);" );
		getExecuter().executeQuery( update );
	}
	
}
